Subject: Re: [v6ops] Prefix Delegation RS/RA vs DHCPv6

From: 神明達哉 <[email-masked]>
Date: Tue, 5 Sep 2017 11:31:49 -0700

At Thu, 31 Aug 2017 15:09:20 +0200,
Ole Troan <[email-masked]> wrote:

> >> If I were to recommend something, I would require the requesting router (HGW in your parlance) to be responsible for maintaining the state in intermediate devices. The mechanism I'd like to use for that is something akin to BFD echo mode. The RR sends a packet (e.g. ICMP echo) destined to _itself_ using a destination address from the delegated prefix via its first-hop router. If packet is received the RR is guaranteed that the fist hop router has forwarding state. If packet is not received, that should trigger the RR to revalidate the prefix with a DHCP VERIFY or RENEW message.
> >
> > Makes sense. Not that I am a network application programmer, but it looks like this will require raw sockets to accomplish. I'll look into it.

I guess the IPV6_NEXTHOP ancillary data or socket option as defined in
RFC3542 can be used for this purpose.  If I remember correctly the
BSD implementation of this option works that way (not checked myself
recently).  But this option/ancillary data may not be very widely
available - Linux probably doesn't support it as it's known not to
support even much simpler advanced options like IPV6_USE_MIN_MTU.

--
JINMEI, Tatuya